https://github.com/alsa-project/alsa-lib/commit/ad8c8e5503980295dd8e5e54a6285d2d7e32eb1e
https://bugs.gentoo.org/792570

From ad8c8e5503980295dd8e5e54a6285d2d7e32eb1e Mon Sep 17 00:00:00 2001
From: Jaroslav Kysela <perex@perex.cz>
Date: Thu, 22 Oct 2020 20:57:32 +0200
Subject: [PATCH] dlmisc: the snd_plugin_dir_set / snd_plugin_dir must be
 declared even for \!DL_ORIGIN_AVAILABLE

Fixes: 8580c081c2 ("dlsym: add support for ALSA_PLUGIN_DIR environment variable")
BugLink: https://github.com/alsa-project/alsa-lib/issues/91
Signed-off-by: Jaroslav Kysela <perex@perex.cz>
---
 src/dlmisc.c | 2 --
 1 file changed, 2 deletions(-)

diff --git a/src/dlmisc.c b/src/dlmisc.c
index c9517c55..f20eb593 100644
--- a/src/dlmisc.c
+++ b/src/dlmisc.c
@@ -42,11 +42,9 @@
 #ifndef PIC
 struct snd_dlsym_link *snd_dlsym_start = NULL;
 #endif
-#ifdef DL_ORIGIN_AVAILABLE
 static int snd_plugin_dir_set = 0;
 static char *snd_plugin_dir = NULL;
 #endif
-#endif
 
 #if defined(DL_ORIGIN_AVAILABLE) && defined(HAVE_LIBPTHREAD)
 static pthread_mutex_t snd_dlpath_mutex = PTHREAD_MUTEX_INITIALIZER;
